import request from '/@/utils/request';

export function emergencyDrillExecuteApi() {
    return {
        // 应急演练实施一览
        getEmergencyDrillExecuteList: (params: object) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + '/emergencyDrillExecute/page/list',
                method: 'post',
                data: params
            });
        },
        // 应急演练实施新增
        addEmergencyDrillExecute: (params: object) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + `/emergencyDrillExecute/add`,
                method: 'post',
                data: params
            });
        },
        // 应急演练实施详情
        seeEmergencyDrillExecute: (params: number) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + `/emergencyDrillExecute/info/${params}`,
                method: 'get'
            });
        },
        // 应急演练实施编辑
        editEmergencyDrillExecute: (params: object) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + `/emergencyDrillExecute/update`,
                method: 'post',
                data: params
            });
        },
        // 应急演练实施删除
        deleteEmergencyDrillExecute: (params: any) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + `/emergencyDrillExecute/batchDelete`,
                method: 'post',
                data: params
            });
        }
    };
}
